diff --git a/doc/src/sgml/mvcc.sgml b/doc/src/sgml/mvcc.sgml
index 5128982..4409a9b 100644
--- a/doc/src/sgml/mvcc.sgml
+++ b/doc/src/sgml/mvcc.sgml
@@ -395,6 +395,19 @@ COMMIT;
     version of the account's row.  Because each command is affecting only a
     predetermined row, letting it see the updated version of the row does
     not create any troublesome inconsistency.
+  </para>
+
+  <para>
+    However, this behavior could also be problematic when considered from a
+    security perspective.  Specifically, when reducing the set of rows which a
+    user has access to, through modifications to relations referenced by
+    Row-Level Security Policies or Security Barrier Views, be aware that
+    users with a currently open transaction might be able to see updates to the
+    rows that they are no longer allowed access.  Therefore, the best approach
+    to avoid any possible leak of information when altering conditions that
+    determine the visibility of specific rows is to ensure that affected users
+    do not have any open transactions, perhaps by ensuring they have no
+    concurrent sessions running.
    </para>
 
    <para>
